import { Rule, Tree } from "@angular-devkit/schematics";
import { IFileSystem } from "@igniteui/cli-core";
export declare class NgTreeFileSystem implements IFileSystem {
    private tree;
    constructor(tree: Tree);
    fileExists(filePath: string): boolean;
    readFile(filePath: string, encoding?: string): string;
    writeFile(filePath: string, text: string): void;
    directoryExists(dirPath: string): boolean;
    glob(dirPath: string, pattern: string): string[];
}
export declare function setVirtual(tree: Tree): void;
export default function (): Rule;
